<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org">
    <xsl:output method="xml" omit-xml-declaration="yes"/>
    <xsl:param name="transition" nk:class="java.lang.String"/>
	
	<xsl:template match="/div">
		<div>
			<xsl:for-each select="*">
				<xsl:element name="{name()}">
					<xsl:attribute name="class">fragment <xsl:value-of select="$transition"/></xsl:attribute>
					<xsl:copy-of select="*"/>
				</xsl:element> 
			</xsl:for-each>
		</div>
    </xsl:template>
	
</xsl:stylesheet>

